// =========================================================
// Исходный текст класса CombiFrame для прилдожения Combi
//
// (C) Фролов А.В, 1997
//
// E-mail: frolov@glas.apc.org
// WWW:    http://www.glasnet.ru/~frolov
//            или
//         http://www.dials.ccas.ru/frolov
// =========================================================
import java.awt.*;

// =========================================================
// CombiFrame 
// Класс для окна фрейма
// =========================================================
class CombiFrame extends Frame
{
  // -------------------------------------------------------
  // Конструктор класса CombiFrame
  // -------------------------------------------------------
	public CombiFrame(String str)
	{
		// Вызываем конструктор базового класса
    super (str);
	}

  // -------------------------------------------------------
  // handleEvent
  // Метод handleEvent обрабатывает извещение WINDOW_DESTROY
  // -------------------------------------------------------
	public boolean handleEvent(Event evt)
	{
		switch (evt.id)
		{
			// Когда пользователь закрывает окно фрейма, 
      // метод handleEvent завершает работу автономного
      // приложения
      case Event.WINDOW_DESTROY:
      {
        // Удаление окна фрейма
				dispose();

        // Завершение работы приложения
				System.exit(0);

				return true;
      }

			default:
        // Для обработки других извещений вызываем
        // метод handleEvent из базового класса
				return super.handleEvent(evt);
		}			 
	}
}
